DNS configuration for smart proxy split into per-provider configs
Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: Foreman modules   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-for

eman_proxy/pull/190

  

Description

#7008 split the smart proxy DNS configuration into per-provider configuration files and also changed settings such as :dns_provider

to :use_provider, so the module needs to be updated.

Also filed here: https://github.com/theforeman/puppet-foreman_proxy/issues/182

Related issues:

Related to Smart Proxy - Feature #7008: Add providers to existing proxy modul... Closed 08/09/2014

Related to Installer - Bug #12157: When not specified, the default --capsule-... Closed 10/13/2015

Associated revisions

Revision d10584a2 - 09/19/2015 10:45 AM - Ewoud Kohl van Wijngaarden

Fixes #11655 Per-provider DNS configuration files

Closes GH-182

History

#1 - 09/02/2015 06:52 AM - Dominic Cleal

- Related to Feature #7008: Add providers to existing proxy modules from a plugin/module added

#2 - 09/16/2015 03:28 AM - Dominic Cleal

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/190 added

- Pull request deleted ()

#3 - 09/19/2015 04:36 PM - Anonymous

- Status changed from Ready For Testing to Closed

PR got merged

#4 - 10/13/2015 04:00 PM - Stephen Benjamin

- Related to Bug #12157: When not specified, the default --capsule-dns-provider is wrong added
